This page provides information about how to view your online return policies.

Merchant API supports the following methods for retrieving online return
policies:

- [accounts.onlineReturnPolicies.get](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.onlineReturnPolicies/get)
- [accounts.onlineReturnPolicies.list](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.onlineReturnPolicies/list)
- [accounts.onlineReturnPolicies.create](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.onlineReturnPolicies/create)

As a best practice, ensure that your return policy is discoverable and
accessible to all users visiting your website without requiring them to sign in,
sign up, or enter any personal information. Also, make sure that the return
policies are consistent between the Merchant Center and your website.

## Retrieve an existing online return policy

To retrieve an existing online return policy, use the
[accounts.onlineReturnPolicies.get](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.onlineReturnPolicies/get)
method.

    GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/onlineReturnPolicies/{ONLINE_RETURN_POLICY_ID}

After the request is successful, the response contains the
[OnlineReturnPolicy](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.onlineReturnPolicies)
resource, as shown in the following example:

    {
      "onlineReturnPolicies": [
        {
          "returnPolicyId": "ONLINE_RETURN_POLICY_ID",
          "label": "default",
          "countries": [
            "COUNTRY_CODE"
          ],
          "policy": {
            "type": "NO_RETURNS"
          },
          "restockingFee": {
            "fixedFee": {
              "amountMicros": "0",
              "currencyCode": "USD"
            }
          },
          "returnPolicyUri": "RETURN_POLICY_URI"
        }
      ]
    }

The `NO_RETURNS` value denotes that returns aren't supported for the mentioned
country.

The `restockingFee` field in the response body represents the restocking fee,
which can be a flat fee or a percentage of the item price in micros.

## List all online return policies

To list all online return policies, use the
[accounts.onlineReturnPolicies.list](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.onlineReturnPolicies/list)
method, as shown in the following request:

    GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/onlineReturnPolicies

After the request is successful, the response contains all the existing online
return policies for the account, as shown in the following sample response:

    {
      "onlineReturnPolicies": [
        {
          "returnPolicyId": "7216992546",
          "label": "default",
          "countries": [
            "IN"
          ],
          "policy": {
            "type": "NO_RETURNS"
          },
          "restockingFee": {
            "fixedFee": {
              "amountMicros": "0",
              "currencyCode": "USD"
            }
          },
          "returnPolicyUri": "http://example-pet-store.com/return"
        },
        {
          "returnPolicyId": "7274318400",
          "label": "default",
          "countries": [
            "GB"
          ],
          "policy": {
            "type": "NUMBER_OF_DAYS_AFTER_DELIVERY",
            "days": "15"
          },
          "restockingFee": {
            "fixedFee": {
              "amountMicros": "10000000",
              "currencyCode": "GBP"
            }
          },
          "returnMethods": [
            "AT_A_KIOSK"
          ],
          "itemConditions": [
            "NEW"
          ],
          "returnShippingFee": {
            "type": "FIXED",
            "fixedFee": {
              "amountMicros": "0",
              "currencyCode": "GBP"
            }
          },
          "returnPolicyUri": "http://example-pet-store.com/return-new",
          "processRefundDays": 7,
          "acceptExchange": true
        }
      ]
    }

In this response body, the `returnPolicyId` field represents the unique
identifier for the online return policy.

The `returnMethods` field denotes the methods that are allowed for returning
items. `AT_A_KIOSK` denotes that the item can be returned at a kiosk. The other
possible values are `IN_STORE` and `BY_MAIL`.

The `processRefundDays` field specifies the number of days it takes for the
seller to process refunds.

## Create an online return policy

To create a return policy, use the following request:

    POST https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/onlineReturnPolicies/{ONLINE_RETURN_POLICY_ID}

    {
      "label": "label", "countries": ["US"],
    "policy": {"type": "NO_RETURNS"},
    "returnPolicyUri": "https://www.uri.com"
    }

Here's a sample response from a successful call:

    {
      "name": "accounts/ACCOUNT_ID/onlineReturnPolicies/ONLINE_RETURN_POLICY",
      "returnPolicyId": "ONLINE_RETURN_POLICY",
      "label": "label",
      "countries": ["US"],
      "policy": {
        "type": "NO_RETURNS"
      },
      "returnShippingFee": {
        "type": "FIXED",
        "fixedFee": {
          "amountMicros": "0",
          "currencyCode": ""
        }
      },
      "returnPolicyUri": "https://www.uri.com"
    }

You can also use the Merchant Center UI to create a return policy. For
more information, see [Set up your return policy for Shopping ads and free
listings](https://support.google.com/merchants/answer/14011730). After you create a
return policy in Merchant Center, it can take up to 10 business days for the
policy to be reviewed and available.